## librdata 0~20210223%2Bgit-85757dc6

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake
	
# For automating the d/*.links stuff.
export LIBRDATA_VERSION=0.1.0
export LIBRDATA_SOVERSION=0

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/debian/RDataConfig.cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Debug \
		-DCMAKE_SKIP_RPATH=1

	rst2man debian/librdata.3.rst > debian/librdata.3
		
override_dh_auto_build:
	dh_auto_build --no-parallel

## librdata 0~20210223+git

=== src/test/CMakeLists.txt ===
#===========================================================
#add_executable(test_c tests/test_c.cpp)
#target_link_libraries(test_c alglib)
#INSTALL(TARGETS test_c DESTINATION ${CMAKE_INSTALL_BINDIR}/)
#===========================================================
#add_executable(test_i tests/test_i.cpp)
#target_link_libraries(test_i alglibstatic)
#install(TARGETS test_i DESTINATION ${CMAKE_INSTALL_BINDIR}/)
#===========================================================

#enable_testing()
#add_test( test_c ${CMAKE_BUILD_DIR}/test_c)
#add_test( test_i ${CMAKE_BUILD_DIR}/test_i)

## librdata 0~20210223+git-85757dc6

=== debian/changelog ===
librdata (0~20210223+git-85757dc6-2) unstable; urgency=low

  * Fix the d/copyright file following rejection and explanations by Thorsten
    Alteholz <debian@alteholz.de> (thanks Thorsten for your patience:-).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 12 Apr 2021 20:44:41 +0200

librdata (0~20210223+git-85757dc6-1) unstable; urgency=low

  * Initial packaging by Olivier Langella and Filippo Rusconi (Closes:
    #985964).

  * Note the unconventional package numbering. As per lintian warning:
    new-package-uses-date-based-version-number

    This package appears to be the first packaging of a new upstream software
    package (there is only one changelog entry and the Debian revision is 1)
    and uses a date-based versioning scheme such as YYYYMMDD-1.

    Packages using date-based version numbering should use a "0~" prefix (eg.
    0~20201612-1 or similar) to avoid having to introduce an epoch if upstream
    starts tagging releases in a more conventional manner.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 26 Mar 2021 19:43:15 +0100

=== debian/control ===
Source: librdata
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-exec (>= 0.3),
 dpkg-dev (>= 1.18.25),
 cmake (>=3.12),
 d-shlibs (>= 0.48~),
 libbz2-dev,
 liblzma-dev,
 zlib1g-dev,
 python3-docutils
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debichem-team/librdata
Vcs-Git: https://salsa.debian.org/debichem-team/librdata.git
Homepage: https://github.com/WizardMac/librdata


Package: librdata0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Read and write R data frames from C (runtime files)
 Originally part of ReadStat, librdata is a small C library
 for reading and writing R data frames.
 . 
 Features:
 . 
  - Read both RData and RDS formats
  - Read compressed files (requires bzip2, zlib, and lzma)
  - Write factors, timestamps, logical vectors, and more
 .
 This package distributes the shared object runtime library.


Package: librdata-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librdata0 (= ${binary:Version}),
 ${misc:Depends}
Description: Read and write R data frames from C (dev files)
 Originally part of ReadStat, librdata is a small C library
 for reading and writing R data frames.
 . 
 Features:
 . 
  - Read both RData and RDS formats
  - Read compressed files (requires bzip2, zlib, and lzma)
  - Write factors, timestamps, logical vectors, and more
 .
 This package distributes development files.
